#ifndef _RESOURCES_HPP_
#define _RESOURCES_HPP_

#include <iostream>
#include "iresource_lock.hpp"

class Resources
{
	public:
		Resources();
		~Resources();

		//void use();
		void print(const int& number);
	private:
		ResourceLock* pLock;
				

};

#endif // _RESOURCES_HPP_
